<?php

namespace Drupal\datetime_flatpickr_webform\Plugin\WebformElement;

use Drupal\webform\WebformSubmissionInterface;
use Drupal\datetime_flatpickr\Plugin\Field\FieldWidget\DateTimeFlatPickrWidgetTrait;
use Drupal\webform\Plugin\WebformElement\Date;

/**
 * Provides a 'flatpickr_date' element.
 *
 * @WebformElement(
 *   id = "flatpickr_date",
 *   api = "https://api.drupal.org/api/drupal/core!lib!Drupal!Core!Render!Element!Date.php/class/Date",
 *   label = @Translation("Flatpickr Date"),
 *   description = @Translation("Provides a form element for date selection using Flatpickr."),
 *   category = @Translation("Date/time elements"),
 * )
 */
class FlatpickrDate extends Date {

  use DateTimeFlatPickrWidgetTrait;

  /**
   * {@inheritdoc}
   */
  protected function defineDefaultProperties() {
    return self::getDefaultSettings() + parent::defineDefaultProperties();
  }

  /**
   * {@inheritdoc}
   */
  public function prepare(array &$element, WebformSubmissionInterface $webform_submission = NULL) {
    parent::prepare($element, $webform_submission);

    $element['#type'] = 'datetime_flatpickr';
  }

  /**
   * {@inheritdoc}
   */
  public function setDefaultValue(array &$element) {
    parent::setDefaultValue($element);
  }

}
